## tdegraphics-trinity 14.0.8

=== kuickshow/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${IMLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kuickshow )
install( FILES kuickshow.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kuickshow (tdeinit) #######################

tde_add_tdeinit_executable( kuickshow AUTOMOC
  SOURCES
    kuickshow.cpp aboutwidget.cpp generalwidget.cpp kuickconfigdlg.cpp
    main.cpp defaultswidget.cpp imagewindow.cpp kuickdata.cpp
    imdata.cpp filefinder.cpp kurlwidget.cpp filewidget.cpp kuick.cpp
    imlibwidget.cpp slideshowwidget.cpp printing.cpp kuickfile.cpp
    kuickimage.cpp filecache.cpp
  LINK tdeprint-shared ${IMLIB_LIBRARIES}
)

=== tdefile-plugins/dds/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data ##################################

install( FILES tdefile_dds.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### tdefile_dds (module) ##########################

tde_add_kpart( tdefile_dds AUTOMOC
  SOURCES tdefile_dds.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdefile-plugins/jpeg/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES tdefile_jpeg.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### tdefile_jpeg (module) ########################

tde_add_kpart( tdefile_jpeg AUTOMOC
  SOURCES tdefile_jpeg.cpp exif.cpp tdefile_setcomment.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdefile-plugins/pcx/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES tdefile_pcx.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### tdefile_pcx (module) #########################

tde_add_kpart( tdefile_pcx AUTOMOC
  SOURCES tdefile_pcx.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdefile-plugins/pdf/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/tdefile-plugins/dependencies/poppler-tqt
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES tdefile_pdf.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### tdefile_pdf (module) #########################

tde_add_kpart( tdefile_pdf AUTOMOC
  SOURCES tdefile_pdf.cpp
  LINK tdeio-shared poppler-tqt-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdefile-plugins/png/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES tdefile_png.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### tdefile_png (module) #########################
tde_add_kpart( tdefile_png AUTOMOC
  SOURCES tdefile_png.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kview/modules/presenter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kview
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kviewpresenter.desktop kviewpresenter.rc
  DESTINATION ${DATA_INSTALL_DIR}/kview/kpartplugins )


##### kview_presenterplugin (module) ############

tde_add_kpart( kview_presenterplugin AUTOMOC
  SOURCES
    imagelistitem.cpp imagelistdialog.ui kviewpresenter.cpp
  LINK tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

## tdegraphics-trinity 14.0.6

=== debian/changelog ===
tdegraphics-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:03:27 +0100

tdegraphics-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild number 2

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 14 Dec 2009 02:41:00 -0600

tdegraphics-trinity (4:3.5.10-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Moved colliding pixmaps and manpages to /opt/trinity (closes Bug 67)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 10 Apr 2009 09:48:00 -0600

tdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Added rotation feature to KPDF

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 29 Mar 2009 15:41:00 -0600

tdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Feb 2009 22:49:00 -0600

tdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 24 Nov 2008 14:32:00 -0600

tdegraphics (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep of tdelibs4-dev to 3.5.10
    - Freshen kubuntu_07_kpdf_category.diff 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:43:37 -0400

tdegraphics (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:07 +0000

tdegraphics (4:3.5.8-2ubuntu7) hardy; urgency=low

  * patches/kubuntu_07_kpdf_category.diff: Change the category in
    kpdf's .desktop file from "Graphics" to "Office" (LP: #81725).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sat, 05 Jan 2008 13:41:38 +0100

tdegraphics (4:3.5.8-2ubuntu6) hardy; urgency=low

  * Fix build error with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:29:58 +0000

tdegraphics (4:3.5.8-2ubuntu5) hardy; urgency=low

  * Rebuild for libopenexr transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Dec 2007 17:33:17 +0000

tdegraphics (4:3.5.8-2ubuntu4) hardy; urgency=low

  * Remove kuickshow depends from tdegraphics-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2007 10:12:34 +0000

tdegraphics (4:3.5.8-2ubuntu3) hardy; urgency=low

  * Don't build-dep on xpdf-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 09:35:05 +0000

tdegraphics (4:3.5.8-2ubuntu2) hardy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:32 +0000

tdegraphics (4:3.5.8-2) unstable; urgency=low

  * Patch to multiple xpdf based vulnerabilities. (Closes: #450630)
    CVE-2007-4352, CVE-2007-5392, CVE-2007-5393.
  * Make kdegrahpics binNMU safe. Thanks Lior! (Closes: #448254)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Nov 2007 19:50:13 +0100

tdegraphics (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
  
  +++ Changes by Francesco Pedrini:

  * Added manpage for KFaxview.
  * Removed 20_post-3.5.7-tdegraphics-CVE-2007-3387.diff which was merged
  	upstream.
  * Switched ${Source-Version} to ${source:Version} in debian/control.
  * Added chrpath to Build-Depends for powerpc in order to fix RPATH issue on
    powerpc.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Little fixes in the description in debian/control.

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Wed, 10 Oct 2007 00:53:17 +0200

tdegraphics (4:3.5.7-4) unstable; urgency=high

  * Patch for stack-based buffer overflow in the StreamPredictor::getNextLine
    function in xpd that might allow remote attackers to execute arbitrary code 
    via a crafted PDF file. CVE-2007-504. (Closes: #444015)

  * Update section in Debian menu files. Thanks to Yann Dirson for
    suggestions. (Closes: #435120)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 11:15:28 +0200

tdegraphics (4:3.5.7-3) unstable; urgency=high

  * Implement use of uploaders.mk and update uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Patch for vulnerability in xpdf that can cause a stack based buffer
    overflow via a PDF file that exploits an integer overflow in
    StreamPredictor::StreamPredictor(). CVE-2007-3387
  * Some little improvements in the debian/copyright file, GFDL text removed
    and reemplazed by a link to common-licenses.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Jul 2007 22:56:37 +0200

tdegraphics (4:3.5.7-2) unstable; urgency=low

  * Build against new poppler. (Closes: #425605)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 25 May 2007 20:07:32 +0100

tdegraphics (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:21 +0100

tdegraphics (4:3.5.7-1ubuntu6) gutsy; urgency=low

  * debian/patches/kubuntu_05_poppler.diff: Resolved the three remaining
    FIXMEs for porting to current poppler API.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2007 17:52:11 +0200

tdegraphics (4:3.5.7-1ubuntu5) gutsy; urgency=low

  * Add back updated kubuntu_05_poppler.diff to build with poppler
    instead of internal xpdf copy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Sep 2007 22:52:20 +0100

tdegraphics (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * Rebuild for the libpoppler1 -> libpopper2 transistion.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed,  5 Sep 2007 22:47:49 +1000

tdegraphics (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * SECURITY UPDATE: xpdf buffer overflow


=== debian/control ===
Source: tdegraphics-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Francesco Pedrini <francesco.pedrini@gmail.com>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: imlib11-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libexif-dev (>= 0.6.9-1), libfribidi-dev, freeglut3-dev, libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, liblcms2-dev | liblcms1-dev, libusb-dev, sharutils, libxxf86vm-dev, chrpath [powerpc], cmake, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdegraphics-trinity
Section: tde
Architecture: all
Replaces: kdegraphics-trinity (<< 4:14.0.0~)
Breaks: kdegraphics-trinity (<< 4:14.0.0~)
Depends: kamera-trinity (>= ${source:Version}), kcoloredit-trinity (>= ${source:Version}), tdegraphics-tdefile-plugins-trinity (>= ${source:Version}), kdvi-trinity (>= ${source:Version}), kfax-trinity (>= ${source:Version}), kfaxview-trinity (>= ${source:Version}), kgamma-trinity (>= ${source:Version}), kghostview-trinity (>= ${source:Version}), tdeiconedit-trinity (>= ${source:Version}), kmrml-trinity (>= ${source:Version}), kolourpaint-trinity (>= ${source:Version}), kooka-trinity (>= ${source:Version}), kpdf-trinity (>= ${source:Version}), kpovmodeler-trinity (>= ${source:Version}), kruler-trinity (>= ${source:Version}), ksnapshot-trinity (>= ${source:Version}), ksvg-trinity (>= ${source:Version}), kview-trinity (>= ${source:Version}), kviewshell-trinity (>= ${source:Version}), libkscan1-trinity (>= ${source:Version})
Suggests: tdegraphics-trinity-doc-html (>= ${source:Version})
Description: graphics apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of graphics applications
 provided with the official release of Trinity.

Package: tdegraphics-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegraphics-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegraphics-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE graphics documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE graphics documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/kamera/. Documentation is provided for most
 TDE graphics packages.
 .
 This package is part of Trinity, and a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kamera-trinity
Section: graphics
Architecture: any
Replaces: kamera-trinity (<< 4:14.0.0~)
Breaks: kamera-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: digital camera io_slave for Konqueror
 This is a digital camera io_slave for TDE which uses gphoto2 and libgpio
 to allow access to your camera's pictures with the URL camera:/
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kcoloredit-trinity
Section: graphics
Architecture: any
Replaces: kcoloredit-trinity (<< 4:14.0.0~)
Breaks: kcoloredit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a color palette editor and color picker for TDE
 This package contains two programs, a color palette editor and also a color
 picker.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdegraphics-trinity-dev
Section: devel
Architecture: any
Replaces: kdegraphics-trinity-dev (<< 4:14.0.0~)
Breaks: kdegraphics-trinity-dev (<< 4:14.0.0~)
Depends: kghostview-trinity (= ${binary:Version}), kmrml-trinity (= ${binary:Version}), kpovmodeler-trinity (= ${binary:Version}), ksvg-trinity (= ${binary:Version}), kview-trinity (= ${binary:Version}), kviewshell-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for the TDE graphics module
 This package contains headers and other development files for the TDE
 graphics module.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdegraphics-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdegraphics-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdegraphics-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ghostscript
Description: TDE metainfo plugins for graphic files
 This packages provides meta information for graphic files (file sizes,
 tags, etc. all from within the file manager).
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kdvi-trinity
Section: graphics
Architecture: any
Replaces: kdvi-trinity (<< 4:14.0.0~)
Breaks: kdvi-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, texlive-fonts-recommended
Suggests: khelpcenter-trinity
Description: dvi viewer for TDE
 This program and KPart allow the user to display *.DVI files from TeX.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kfax-trinity
Section: graphics
Architecture: any
Replaces: kfax-trinity (<< 4:14.0.0~)
Breaks: kfax-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libtiff-tools
Description: G3/G4 fax viewer for Trinity
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kfaxview-trinity
Section: graphics
Architecture: any
Replaces: kfaxview-trinity (<< 4:14.0.0~)
Breaks: kfaxview-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: G3/G4 fax viewer for Trinity using kviewshell
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This faxviewer uses kviewshell and is intended to replace the standalone
 kfax application once it reproduces all of kfax's features.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kgamma-trinity
Section: graphics
Architecture: any
Replaces: kgamma-trinity (<< 4:14.0.0~)
Breaks: kgamma-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: gamma correction module for the Trinity Control Center
 KGamma is a Trinity Control Center module for gamma calibration/correction
 of XFree86. With proper gamma settings, your display (websites, images,
 etc.) will look the same on your monitor as on other monitors.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kgamma.berlios.de/index2.php

Package: kghostview-trinity
Section: graphics
Architecture: any
Replaces: kghostview-trinity (<< 4:14.0.0~)
Breaks: kghostview-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ghostscript-x
Suggests: khelpcenter-trinity
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for Trinity
 KGhostview is Trinity's PostScript viewer. It is a port of Tim Theisen's
 Ghostview program which is used to view documents prepared in Adobe's
 PostScript page description language. PostScript is the major page
 description language for printing on UNIX systems, and this application is
 useful to preview material intended for printing, or for reading documents
 online.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdeiconedit-trinity
Section: graphics
Architecture: any
Replaces: kiconedit-trinity (<< 4:14.0.0~)
Breaks: kiconedit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: an icon editor for Trinity
 TDEIconedit allows you easily to create and edit icons.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kmrml-trinity
Section: tde
Architecture: any
Replaces: kmrml-trinity (<< 4:14.0.0~)
Breaks: kmrml-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: gnuift
Description: a Konqueror plugin for searching pictures
 MRML is short for Multimedia Retrieval Markup Language, which defines a
 protocol for querying a server for images based on their content. See 
 http://www.mrml.net about MRML and the GNU Image Finding Tool (GIFT), an 
 MRML server.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kolourpaint-trinity
Section: graphics
Architecture: any
Replaces: kolourpaint-trinity (<< 4:14.0.0~)
Breaks: kolourpaint-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a simple paint program for Trinity
 KolourPaint is a very simple paint program for Trinity. It aims to be
 conceptually simple to understand; providing a level of functionality
 targeted towards the average user. It's designed for daily tasks like:
 .
  * Painting - drawing diagrams and "finger painting" 
  * Image Manipulation - editing screenshots and photos; applying effects 
  * Icon Editing - drawing clipart and logos with transparency 
 .
 It's not an unusable and monolithic program where simple tasks like
 drawing lines become near impossible. Nor is it so simple that it lacks
 essential features like Undo/Redo.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kolourpaint.sourceforge.net

Package: kooka-trinity
Section: graphics
Architecture: any
Replaces: kooka-trinity (<< 4:14.0.0~)
Breaks: kooka-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ocrad | gocr
Suggests: khelpcenter-trinity
Description: scanner program for Trinity
 Kooka is an open source GNU/Linux scan program based on SANE and
 KScan library.
 .
 Kooka helps you to handle the most important scan parameters, find the
 correct image file format to save and manage your scanned images. It
 offers support for different OCR modules. Libkscan, a autonomous part
 of Kooka, provides a scan service for easy and consistent use to all
 TDE applications.
 .
 Install ocrad or gocr if you wish to enable optical character recognition
 in kooka.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kooka.kde.org/

Package: kpdf-trinity
Section: graphics
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_ALL="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_PDF="ON"

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_DH_STRIP_ARGS  := --dbg-package=tdegraphics-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := kfaxview-trinity kghostview-trinity kmrml-trinity kpovmodeler-trinity ksvg-trinity \
			kuickshow-trinity kview-trinity kviewshell-trinity libkscan1-trinity

DEB_DH_MAKESHLIBS_ARGS_kghostview-trinity	:= -V'kghostview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kpovmodeler-trinity	:= -V'kpovmodeler-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_ksvg-trinity	:= -V'ksvg-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kview-trinity	:= -V'kview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kviewshell-trinity	:= -V'kviewshell-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_libkscan1-trinity	:= -V'libkscan1-trinity (>= 4:3.5.5-1)'

binary-post-install/kuickshow-trinity::
ifeq ($(DEB_HOST_ARCH), powerpc)
	chrpath -d -k debian/kuickshow-trinity/opt/trinity/lib/libtdeinit_kuickshow.so
endif

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

kuickshow-trinity-tar:
	mkdir ../kuickshow-trinity-3.5.8
	cp -f * ../kuickshow-trinity-3.5.8 || true
	mkdir ../kuickshow-trinity-3.5.8/doc
	cp doc/Makefile.am ../kuickshow-trinity-3.5.8/doc
	cp -r doc/kuickshow ../kuickshow-trinity-3.5.8/doc
	cp -r kuickshow ../kuickshow-trinity-3.5.8
	cp -r admin ../kuickshow-trinity-3.5.8
	cd ../kuickshow-trinity-3.5.8; make -f admin/Makefile.common dist
	cd ..; tar zcf kuickshow-trinity_3.5.8.orig.tar.gz kuickshow-trinity-3.5.8

binary-post-install/kpdf-trinity::
	mv debian/kpdf-trinity/usr/share/man debian/kpdf-trinity/opt/trinity/share/

binary-post-install/kghostview-trinity::
	mv debian/kghostview-trinity/usr/share/man debian/kghostview-trinity/opt/trinity/share/

binary-post-install/kcolorchooser-trinity::
	mv debian/kcolorchooser-trinity/usr/share/man debian/kcolorchooser-trinity/opt/trinity/share/

binary-post-install/kdvi-trinity::
	mv debian/kdvi-trinity/usr/share/man debian/kdvi-trinity/opt/trinity/share/

binary-post-install/kfaxview-trinity::
	mv debian/kfaxview-trinity/usr/share/man debian/kfaxview-trinity/opt/trinity/share/

binary-post-install/tdeiconedit-trinity::
	mv debian/tdeiconedit-trinity/usr/share/man debian/tdeiconedit-trinity/opt/trinity/share/

binary-post-install/kooka-trinity::
	mv debian/kooka-trinity/usr/share/man debian/kooka-trinity/opt/trinity/share/

binary-post-install/kpovmodeler-trinity::
	mv debian/kpovmodeler-trinity/usr/share/man debian/kpovmodeler-trinity/opt/trinity/share/

binary-post-install/ksnapshot-trinity::
	mv debian/ksnapshot-trinity/usr/share/man debian/ksnapshot-trinity/opt/trinity/share/

binary-post-install/kview-trinity::
	mv debian/kview-trinity/usr/share/man debian/kview-trinity/opt/trinity/share/

binary-post-install/kcoloredit-trinity::
	mv debian/kcoloredit-trinity/usr/share/man debian/kcoloredit-trinity/opt/trinity/share/

binary-post-install/kfax-trinity::
	mv debian/kfax-trinity/usr/share/man debian/kfax-trinity/opt/trinity/share/

binary-post-install/kolourpaint-trinity::
	mv debian/kolourpaint-trinity/usr/share/man debian/kolourpaint-trinity/opt/trinity/share/

binary-post-install/kruler-trinity::
	mv debian/kruler-trinity/usr/share/man debian/kruler-trinity/opt/trinity/share/

binary-post-install/kuickshow-trinity::
	mv debian/kuickshow-trinity/usr/share/man debian/kuickshow-trinity/opt/trinity/share/

binary-post-install/kviewshell-trinity::
	mv debian/kviewshell-trinity/usr/share/man debian/kviewshell-trinity/opt/trinity/share/

## tdegraphics-trinity 14.0.9

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdegraphics )
set( VERSION R14.0.9 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckSymbolExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_T1LIB "Enable t1lib support" OFF )
option( WITH_PAPER "Enable libpaper support" OFF )
OPTION( WITH_TIFF "Enable tiff support (tdefile-plugins)" OFF )
OPTION( WITH_OPENEXR "Enable openexr support (tdefile-plugins)" OFF )
OPTION( WITH_PDF "Enable pdf support (tdefile-plugins)" OFF )


##### options comments ##########################

# WITH_T1LIB   affects kpdf
# WITH_T1LIB   description adds support for t1lb, a library for decoding
#                          t1 fonts. If it is disabled or missing the freetype
#                          library is used as a fallback implementation.
#                          It is safe to disable this option. You shouldn't
#                          lose any end-user functionality.
# WITH_PAPER   affects kpdf
# WITH_PAPER   description this library is only used to set some default
#                          parameters of paper according to system settings.
# WITH_TIFF    affects tdefile-plugins(tiff)
# WITH_OPENEXR affects tdefile-plugins(exr)
# WITH_PDF     affects tdefile-plugins(pdf dependencies/poppler-tqt)

# NOTE: It seems that libtiff was planned to be used in
#       kviewshell(plugins/djvu) but isn't yet implemented


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_KAMERA "Build kamera" ${BUILD_ALL} )
option( BUILD_KCOLOREDIT "Build kcoloredit" ${BUILD_ALL} )
option( BUILD_KDVI "Build kdvi" ${BUILD_ALL} )
option( BUILD_KFAX "Build kfax" ${BUILD_ALL} )
option( BUILD_KFAXVIEW "Build kfaxview" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_KGAMMA "Build kgamma" ${BUILD_ALL} )
option( BUILD_KGHOSTVIEW "Build kghostview" ${BUILD_ALL} )
option( BUILD_TDEICONEDIT "Build tdeiconedit" ${BUILD_ALL} )
option( BUILD_KMRML "Build kmrml" ${BUILD_ALL} )
option( BUILD_KOLOURPAINT "Build kolourpaint" ${BUILD_ALL} )
option( BUILD_KOOKA "Build kooka" ${BUILD_ALL} )
option( BUILD_KPDF "Build kpdf" ${BUILD_ALL} )
option( BUILD_KPOVMODELER "Build kpovmodeler" ${BUILD_ALL} )
option( BUILD_KRULER "Build kruler" ${BUILD_ALL} )
option( BUILD_KSNAPSHOT "Build ksnapshot" ${BUILD_ALL} )
option( BUILD_KSVG "Build ksvg" ${BUILD_ALL} )
option( BUILD_KUICKSHOW "Build kuickshow" ${BUILD_ALL} )
option( BUILD_KVIEW "Build kview" ${BUILD_ALL} )
option( BUILD_KVIEWSHELL "Build kviewshell" ${BUILD_ALL} )
option( BUILD_LIBKSCAN "Build libkscan" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### tdegraphics directories ###################

# tdefile-plugins/ps requires dscparse-static library
if( BUILD_TDEFILE_PLUGINS AND NOT BUILD_KGHOSTVIEW )
  add_subdirectory( kghostview/dscparse )
endif( )

# kdvi and kfax require a static library from kviewshell
# see BUG 1593 for details
if( BUILD_KVIEWSHELL OR BUILD_KDVI OR BUILD_KFAX )
  add_subdirectory( kviewshell )
endif( )

tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_KAMERA kamera )
tde_conditional_add_subdirectory( BUILD_KCOLOREDIT kcoloredit )
tde_conditional_add_subdirectory( BUILD_KDVI kdvi )
tde_conditional_add_subdirectory( BUILD_KFAX kfax )
tde_conditional_add_subdirectory( BUILD_KFAXVIEW kfaxview )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_KGAMMA kgamma )
tde_conditional_add_subdirectory( BUILD_KGHOSTVIEW kghostview )
tde_conditional_add_subdirectory( BUILD_TDEICONEDIT tdeiconedit )
tde_conditional_add_subdirectory( BUILD_KMRML kmrml )
tde_conditional_add_subdirectory( BUILD_KOLOURPAINT kolourpaint )
tde_conditional_add_subdirectory( BUILD_KOOKA kooka )
tde_conditional_add_subdirectory( BUILD_KPDF kpdf )
tde_conditional_add_subdirectory( BUILD_KPOVMODELER kpovmodeler )
tde_conditional_add_subdirectory( BUILD_KRULER kruler )
tde_conditional_add_subdirectory( BUILD_KSNAPSHOT ksnapshot )
tde_conditional_add_subdirectory( BUILD_KSVG ksvg )
tde_conditional_add_subdirectory( BUILD_KUICKSHOW kuickshow )
tde_conditional_add_subdirectory( BUILD_KVIEW kview )
tde_conditional_add_subdirectory( BUILD_LIBKSCAN libkscan )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== kpdf/xpdf/splash/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_SOURCE_DIR}/../goo
  ${CMAKE_CURRENT_SOURCE_DIR}/../fofi
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)


##### splash (static) ###########################

tde_add_library( splash STATIC_PIC
  SOURCES
    Splash.cc SplashBitmap.cc SplashClip.cc SplashFTFont.cc
    SplashFTFontEngine.cc SplashFTFontFile.cc SplashFont.cc
    SplashFontEngine.cc SplashFontFile.cc SplashFontFileID.cc
    SplashPath.cc SplashPattern.cc SplashScreen.cc SplashState.cc
    SplashT1Font.cc SplashT1FontEngine.cc SplashT1FontFile.cc
    SplashXPath.cc SplashXPathScanner.cc
  LINK ${FREETYPE_LIBRARIES} ${FONTCONFIG_LIBRARIES}
)

=== kpdf/xpdf/xpdf/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_SOURCE_DIR}/../goo
  ${CMAKE_CURRENT_SOURCE_DIR}/../fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/../splash
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)


##### xpdf (static) #############################

tde_add_library( xpdf STATIC_PIC
  SOURCES
    Annot.cc Array.cc BuiltinFont.cc BuiltinFontTables.cc
    Catalog.cc CharCodeToUnicode.cc CMap.cc Decrypt.cc Dict.cc
    FontEncodingTables.cc Function.cc Gfx.cc GfxFont.cc GfxState.cc
    GlobalParams.cc JArithmeticDecoder.cc JBIG2Stream.cc Lexer.cc Link.cc
    NameToCharCode.cc Object.cc Outline.cc OutputDev.cc PDFDoc.cc
    PDFDocEncoding.cc PreScanOutputDev.cc PSTokenizer.cc Page.cc
    Parser.cc PSOutputDev.cc SecurityHandler.cc SplashOutputDev.cc
    Stream.cc JPXStream.cc TextOutputDev.cc UnicodeMap.cc
    UnicodeTypeTable.cc XRef.cc
  LINK ${FONTCONFIG_LIBRARIES}
)

## tdegraphics-trinity 14.0.10

=== debian/changelog ===
tdegraphics-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Apr 2021 16:46:00 +0200

## tdegraphics-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
 
 project( tdegraphics )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########

=== debian/changelog ===
tdegraphics-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 16:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdegraphics-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Francesco Pedrini <francesco.pedrini@gmail.com>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: imlib11-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libexif-dev (>= 0.6.9-1), libfribidi-dev, freeglut3-dev, libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, liblcms2-dev | liblcms1-dev, libusb-dev, sharutils, libxxf86vm-dev, chrpath [powerpc], cmake, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, imlib11-dev, libexif-dev (>= 0.6.9-1), libfribidi-dev, freeglut3-dev, libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, liblcms2-dev | liblcms1-dev, libusb-dev, libxxf86vm-dev
 Standards-Version: 3.8.4
 
 Package: tdegraphics-trinity
@@ -259,3 +259,5 @@
 Package: kpdf-trinity
 Section: graphics
 Architecture: any
+Replaces: kpdf-trinity (<< 4:14.0.0~)
+Breaks: kpdf-trinity (<< 4:14.0.0~)

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DLIB_SUFFIX="" \
  -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
  -DCONFIG_INSTALL_DIR="/etc/trinity" \
@@ -30,14 +30,7 @@
  -DWITH_OPENEXR="ON" \
  -DWITH_PDF="ON"
 
-# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
-# never build in parallel, regardless of DEB_BUILD_OPTIONS.
-DEB_BUILD_PARALLEL = true
-
 DEB_DH_STRIP_ARGS  := --dbg-package=tdegraphics-trinity-dbg
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 PACKAGES_WITH_LIBS := kfaxview-trinity kghostview-trinity kmrml-trinity kpovmodeler-trinity ksvg-trinity \
 			kuickshow-trinity kview-trinity kviewshell-trinity libkscan1-trinity

## tdegraphics-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
 
 project( tdegraphics )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 ##### include essential cmake modules ###########
@@ -43,11 +43,13 @@
 
 ##### optional stuff ############################
 
+OPTION( WITH_ALL_OPTIONS "Enable all optional support" OFF )
+
 option( WITH_T1LIB "Enable t1lib support" OFF )
-option( WITH_PAPER "Enable libpaper support" OFF )
-OPTION( WITH_TIFF "Enable tiff support (tdefile-plugins)" OFF )
-OPTION( WITH_OPENEXR "Enable openexr support (tdefile-plugins)" OFF )
-OPTION( WITH_PDF "Enable pdf support (tdefile-plugins)" OFF )
+option( WITH_PAPER "Enable libpaper support" ${WITH_ALL_OPTIONS} )
+OPTION( WITH_TIFF "Enable tiff support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
+OPTION( WITH_OPENEXR "Enable openexr support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
+OPTION( WITH_PDF "Enable pdf support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
 
 
 ##### options comments ##########################

## tdegraphics-trinity 14.0.13

=== debian/changelog ===
tdegraphics-trinity (4:14.0.13-0raspbian9.0.0+0) raspbian-stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 21 Jun 2022 13:54:01 +0200

## tdegraphics-trinity 14.1.0

=== debian/changelog ===
tdegraphics-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 04 Apr 2023 15:07:55 +0200

## tdegraphics-trinity 14.1.1

=== debian/changelog ===
tdegraphics-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 15 Oct 2023 15:45:20 +0200

## tdegraphics-trinity 14.1.2

=== debian/changelog ===
tdegraphics-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 09:11:49 +0200
